org.apache.cassandra.db.commitlog

## Class AbstractCommitLogExecutorService

- java.lang.Object
- - java.util.concurrent.AbstractExecutorService
  - - org.apache.cassandra.db.commitlog.AbstractCommitLogExecutorService

- All Implemented Interfaces:
    java.util.concurrent.Executor, java.util.concurrent.ExecutorService, ICommitLogExecutorService

      public abstract class AbstractCommitLogExecutorService
      extends java.util.concurrent.AbstractExecutorService
      implements ICommitLogExecutorService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `completedTaskCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCommitLogExecutorService()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `awaitTermination(long timeout, java.util.concurrent.TimeUnit unit)`
    `long` | `getCompletedTasks()` Get the number of completed tasks
    `boolean` | `isShutdown()`
    `boolean` | `isTerminated()`
    `java.util.List<java.lang.Runnable>` | `shutdownNow()`

    - ### Methods inherited from class java.util.concurrent.AbstractExecutorService

      `invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, submit, submit, submit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.db.commitlog.ICommitLogExecutorService

      `add, awaitTermination, getPendingTasks, shutdown, submit`

    - ### Methods inherited from interface java.util.concurrent.ExecutorService

      `shutdown`

    - ### Methods inherited from interface java.util.concurrent.Executor

      `execute`

- - ### Field Detail

    - #### completedTaskCount

          protected volatile long completedTaskCount

  - ### Constructor Detail

    - #### AbstractCommitLogExecutorService

          public AbstractCommitLogExecutorService()

  - ### Method Detail

    - #### getCompletedTasks

          public long getCompletedTasks()

      Get the number of completed tasks
      Specified by:
        `getCompletedTasks` in interface `ICommitLogExecutorService`

    - #### isTerminated

          public boolean isTerminated()

      Specified by:
        `isTerminated` in interface `java.util.concurrent.ExecutorService`

    - #### isShutdown

          public boolean isShutdown()

      Specified by:
        `isShutdown` in interface `java.util.concurrent.ExecutorService`

    - #### shutdownNow

          public java.util.List<java.lang.Runnable> shutdownNow()

      Specified by:
        `shutdownNow` in interface `java.util.concurrent.ExecutorService`

    - #### awaitTermination

          public boolean awaitTermination(long timeout,
                                 java.util.concurrent.TimeUnit unit)
                                   throws java.lang.InterruptedException

      Specified by:
        `awaitTermination` in interface `java.util.concurrent.ExecutorService`
      Throws:
        `java.lang.InterruptedException`

Copyright © 2014 The Apache Software Foundation